%define debug_package %{nil}
%define python_sitelib %(python2 -c "from distutils.sysconfig import get_python_lib; print get_python_lib(plat_specific=False)")
%define	py_setup	setup.py

%if 0%{?centos} == 7
%define python3_pkgversion 36
%endif

%if 0%{?fedora} || 0%{?centos} >= 7
%global         with_python3 1
%else
%global         with_python3 0
%endif

%if 0%{?centos} == 6
%global         with_python2 1
%endif

Summary:	Python package for ElasticSearch
Packager:	Lawrence R. Rogers (lrr@cert.org)
Vendor:		cert.org
Name:		elasticsearch
Version:	7.9.1
Release:	1%{?dist}
License:	BSD
Group:		Applications
Source:		%{name}-%{version}.tar.gz
URL:		https://pypi.org/project/elasticsearch6/

BuildRoot:	%{_tmppath}/rpm-root-%{name}-v%{version}
BuildRequires:	python2 

%description
Official low-level client for Elasticsearch. Its goal is to provide common ground for all
Elasticsearch-related code in Python; because of this it tries to be opinion-free and very
extendable.

For a more high level client library with more limited scope, have a look at elasticsearch-dsl -
a more pythonic library sitting on top of elasticsearch-py.

It provides a more convenient and idiomatic way to write and manipulate queries. It stays close
to the Elasticsearch JSON DSL, mirroring its terminology and structure while exposing the whole
range of the DSL from Python either directly using defined classes or a queryset-like expressions.

It also provides an optional persistence layer for working with documents as Python objects in
an ORM-like fashion: defining mappings, retrieving and saving documents, wrapping the document
data in user-defined classes.

%if 0%{?with_python2}
%package -n python2-elasticsearch
Obsoletes: python-elasticsearch
Provides: python-elasticsearch = %{version}
Summary: Python client for Elasticsearch
%if 0%{?centos}
Requires: python-urllib3
%else
Requires: python2-urllib3
%endif

%description -n python2-elasticsearch
Python client for Elasticsearch.
%endif

%if 0%{?with_python3}
%package -n python%{python3_pkgversion}-elasticsearch
Summary: Python client for Elasticsearch
Requires:	python%{python3_pkgversion}-urllib3

BuildRequires:	python%{python3_pkgversion}
BuildRequires:	python%{python3_pkgversion}-devel
BuildRequires:	python%{python3_pkgversion}-setuptools

%description -n python%{python3_pkgversion}-elasticsearch
Python client for Elasticsearch.
%endif

%prep
%autosetup -n %{name}-%{version}

%build
%if 0%{?with_python2}
%py2_build
%endif
%if 0%{?with_python3}
%py3_build
%endif

%install
%if 0%{?with_python2}
%py2_install
%endif
%if 0%{?with_python3}
%py3_install
%endif
rm -rf %{buildroot}/usr/share/doc/%{name}/

%clean
rm -rf %{buildroot}

%if 0%{?with_python2}
%files -n python2-elasticsearch
%{python2_sitelib}/elasticsearch/
%{python2_sitelib}/elasticsearch*.egg-info
%endif

%if 0%{?with_python3}
%files -n python%{python3_pkgversion}-elasticsearch
%{python3_sitelib}/elasticsearch/
%{python3_sitelib}/elasticsearch*.egg-info
%endif

%changelog
* Thu Aug 20 2020 Lawrence R. Rogers <lrr@cert.org> 7.9.1-1
* Release 7.9.1-1
	Version 7.9.1

* Tue Aug 18 2020 Lawrence R. Rogers <lrr@cert.org> 7.9.0-1
* Release 7.9.0-1
	Version 7.9.0

* Thu Jul 30 2020 Lawrence R. Rogers <lrr@cert.org> 7.8.1-1
* Release 7.8.1-1
	Version 7.8.1

* Thu Jun 18 2020 Lawrence R. Rogers <lrr@cert.org> 7.8.0-1
* Release 7.8.0-1
	Version 7.8.0

* Tue May 26 2020 Lawrence R. Rogers <lrr@cert.org> 7.7.1-1
* Release 7.7.1-1
	Version 7.7.1

* Thu Mar 19 2020 Lawrence R. Rogers <lrr@cert.org> 7.6.0-1
* Release 7.6.0-1
	Version 7.6.0

* Sat Jan 18 2020 Lawrence R. Rogers <lrr@cert.org> 7.5.1-1
* Release 7.5.1-1
	Version 7.5.1

* Thu Nov 14 2019 Lawrence R. Rogers <lrr@cert.org> 7.1.0-1
* Release 7.1.0-1
	Version 7.1.0

* Tue Oct  1 2019 Lawrence R. Rogers <lrr@cert.org> 7.0.5-1
* Release 7.0.5-1
	Version 7.0.5.

* Thu Aug 22 2019 Lawrence R. Rogers <lrr@cert.org> 7.0.4-1
* Release 7.0.4-1
	Version 7.0.4.

* Wed Aug 21 2019 Lawrence R. Rogers <lrr@cert.org> 7.0.3-1
* Release 7.0.3-1
	Version 7.0.3.

* Tue May 28 2019 Lawrence R. Rogers <lrr@cert.org> 7.0.2-1
* Release 7.0.2-1
	Version 7.0.2.

* Sun May 19 2019 Lawrence R. Rogers <lrr@cert.org> 6.3.1-3
* Release 6.3.1-3
	Version 6.3.1-3: Uses python3_pkgversion for the current version of Python 3.

* Mon Feb  4 2019 Lawrence R. Rogers <lrr@cert.org> 6.3.1-2
* Release 6.3.1-2
	Version 6.3.1
	Added Python 3 version. Renamed python to python2.


* Fri Jan 27 2017 Lawrence R. Rogers <lrr@cert.org> 6.3.1-1
* Release 6.3.1
	Version 6.3.1.
